API Documentation |
MenuBar

Package | ch.unil.cbg.ExpressionView.view
Class | public class MenuBar
Inheritance | MenuBar mx.containers.Canvas

Public Properties

| Property | Defined By
--- | --- | ---
|  | inspectIcon : Class | MenuBar
|  | panIcon : Class | MenuBar
|  | zoomIcon : Class | MenuBar

Public Methods

| Method | Defined By
--- | --- | ---
|  | MenuBar() | MenuBar

Protected Methods

| Method | Defined By
--- | --- | ---
|  | createChildren():void [override] | MenuBar
|  | updateDisplayList(unscaledWidth:Number, unscaledHeight:Number):void [override] | MenuBar

Property Detail

inspectIcon | property

`public var inspectIcon:Class`

panIcon | property |

`public var panIcon:Class`

zoomIcon | property |

`public var zoomIcon:Class`

Constructor Detail

MenuBar | () | Constructor

`public function MenuBar()`

Method Detail

createChildren | () | method

`override protected function createChildren():void`

updateDisplayList | () | method |

`override protected function updateDisplayList(unscaledWidth:Number, unscaledHeight:Number):void`

Parameters

| `unscaledWidth:Number`
| `unscaledHeight:Number`

Mon Oct 17 2011, 09:13 PM -04:00